Debian Bug report logs - #30090
dpkg crashes when using its own gettext

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: gyst@nfg.nl (Guido A.J. Stevens)

Date: Fri, 27 Nov 1998 19:18:01 UTC

Severity: grave

Merged with 25674, 25744, 27587, 31763, 32501, 32978, 35362, 38604

Done: Anthony Towns <ajt@master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to gyst@nfg.nl (Guido A.J. Stevens):
New bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gyst@nfg.nl (Guido A.J. Stevens)
To: submit@bugs.debian.org
Cc: Paul J Stevens <paul@nfg.nl>
Subject: xbase installation segfaults / Netscape bus error
Date: 27 Nov 1998 20:10:13 +0100
[Message part 1 (text/plain, inline)]
Severity: grave
Package: xbase
Version: 3.3.2.3a-8.1
Version: 3.3.2.3a-7
Version: 3.3.2.3a-1

Let's add another bug report to this impressive list :-(
This bug seems to be related to previous reports #29782, #29186,
#29172, #28714. 

xbase segfaults on installation.

SHORT HISTORY

When upgrading through dselect, something went wrong. First symptom
was Netscape refusing to start, reporting a bus error because of
invalid locale settings.

On investigation, several essential packages required
reinstallation. I reinstalled dpkg, findutils and shellutils. And,
just to make sure, also libc6.

By now, my whole X installation is down. Not very handy for a web
developer....

PROBLEM DESCRIPTION 

xbase will not install. I'm using kernel 2.0.32 (I know, it's old) and
libc-2.0.7.so

I've tried installing in combination with xlib6g_3.3.2.3a-1 as wel as
xlib6g_3.3.2.3a-7. In both cases I've tried installs of xbase
3.3.2.3a-1, 3.3.2.3a-7 and 3.3.2.3a-8.1. Everything ends in a
Segmentation fault, reports are appended below, first appendix in
combination with xlib6g_3.3.2.3a-1, the second with xlib6g_3.3.2.3a-7.

As an additional bug report, the xbase install reports presence of
/etc/X11/Xresources and presents a choice (Y/I/N/O/Z) even if this
file does not exist, see appendix 2.

EXTENSIVE SESSION REPORTS

[report.1.txt (application/octet-stream, attachment)]
[report.2.txt (application/octet-stream, attachment)]
[Message part 4 (text/plain, inline)]
-- 
***    Guido A.J. Stevens      ***    mailto:gyst@nfg.nl    ***
***    Net Facilities Group    ***    tel:+31.43.3618933    ***   
***    http://www.nfg.nl       ***    fax:+31.43.3560502    ***   

PGP fingerprint E3 56 AA 30 44 EE 9E E9 CA 52 C5 B8 66 2F 77 21

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@ecn.purdue.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #10 received at 30090@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@ecn.purdue.edu>
To: "Guido A.J. Stevens" <gyst@nfg.nl>, 30090@bugs.debian.org
Cc: Paul J Stevens <paul@nfg.nl>
Subject: Re: Bug#30090: xbase installation segfaults / Netscape bus error
Date: Fri, 27 Nov 1998 21:54:18 -0500
[Message part 1 (text/plain, inline)]
This segfaulting business is not something I have seen before with the X
packages, and thanks to the debacle with the "Great Reorganization" of the
X packages, I think I've seen most of the failure modes.

I suspect a problem with dpkg, or something deeply and subtly awry on your
system.

At this point the best thing to start using dpkg with the --debug flag.
Here is the output of dpkg --debug=help:

dpkg debugging option, --debug=<octal> or -D<octal>:

 number  ref. in source   description
      1   general           Generally helpful progress information
      2   scripts           Invocation and status of maintainer scripts
     10   eachfile          Output for each file processed
    100   eachfiledetail    Lots of output for each file processed
     20   conff             Output for each configuration file
    200   conffdetail       Lots of output for each configuration file
     40   depcon            Dependencies and conflicts
    400   depcondetail      Lots of dependencies/conflicts output
   1000   veryverbose       Lots of drivel about eg the dpkg/info directory
   2000   stupidlyverbose   Insane amounts of drivel

Debugging options are be mixed using bitwise-or.
Note that the meanings and values are subject to change.

These debugging values work just like file modes.  I do not know your level
of expertise, but for a problem this strange you might consider getting
some personalized assistance from the Debian IRC channel.  Grab an IRC
client (like ircii or bitchx), connect to the irc.debian.org server, and
join channel #debian.  For instance, I use the following command to start
the IRC client:

bitchx mccaffrey.linpeople.org

(That's one of several hosts that irc.debian.org redirects you to; it's a
server I find consistently works well for me; your mileage may vary.)

At the IRC prompt I then issue the following commands:

/nick Overfiend
/join #debian

The above two commands set by IRC handle, or nickname (you won't want to
use Overfiend, the nick is registered and you'll get kicked off), and join
the Debian discussion channel.

Tell them Overfiend sent you.  :)

-- 
G. Branden Robinson              |
Debian GNU/Linux                 |   If God had intended for man to go about
branden@ecn.purdue.edu           |   naked, we would have been born that way.
cartoon.ecn.purdue.edu/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@ecn.purdue.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #15 received at 30090@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@ecn.purdue.edu>
To: "Guido A.J. Stevens" <gyst@nfg.nl>
Cc: Paul J Stevens <paul@nfg.nl>, 30090@bugs.debian.org
Subject: Re: Bug#30090: xbase installation segfaults / Netscape bus error
Date: Mon, 30 Nov 1998 22:11:28 -0500
[Message part 1 (text/plain, inline)]
On Mon, Nov 30, 1998 at 10:41:28PM +0100, Guido A.J. Stevens wrote:
> Branden Robinson <branden@ecn.purdue.edu> writes:
> 
> > This segfaulting business is not something I have seen before with the X
> > packages, and thanks to the debacle with the "Great Reorganization" of the
> > X packages, I think I've seen most of the failure modes.
> 
> Screwing around with the postrm file and seriously purging my system
> helped. So now I've got a clean install with no broken
> dependencies. xdm is running but I don't get a login.
> 
> Maybe you can help me with this one. 
> X: exec of /usr/bin/X11/ failed
> Irc didn't give me a clue. Any idea what this is all about?:

Gack.  That sounds like an old error.  Please make sure you're using the
actual released 3.3.2.3a-8 .debs.  The above sounds like a problem in -7
and earlier, and in a couple of the -8 test builds.

In the meantime a quick workaround is just to edit /etc/X11/Xserver and put
the name of the X server you want to use on the first line.  For instance:

/usr/bin/X11/XF86_SVGA

Hopefully soon I'll have a new test build available, which will be
specially version numbered to make life easier on auto upgraders and
eliminate the "*which* version of -8 are you using?  check the date in the
changelog" issues.  It will be called 3.3.2.3a-8pre9v1, and will not be
uploaded to the archive.  It will be available at
http://master.debian.org/~branden/xfree86/.

When I'm ready to do another real release, the version number will
naturally be 3.3.2.3a-9.

-- 
G. Branden Robinson              |   I must despise the world which does not
Debian GNU/Linux                 |   know that music is a higher revelation
branden@ecn.purdue.edu           |   than all wisdom and philosophy.
cartoon.ecn.purdue.edu/~branden/ |   -- Ludwig van Beethoven
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to root <root@khms.westfalen.de>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #20 received at 30090@bugs.debian.org (full text, mbox):

From: root <root@khms.westfalen.de>
To: 30090@bugs.debian.org
Subject: dpkg -i xbase dumps core
Date: Wed, 16 Dec 1998 01:46:16 +0100 (CET)
Command line:


dpkg -D77777 -i /home/mirror/debian/dists/potato/main/binary-i386/x11/xbase_3.3.2.3a-8.1.deb

Output:


D000010: ensure_pathname_nonexisting `/var/lib/dpkg/tmp.ci'
D000010: ensure_pathname_nonexisting running rm -rf
(Reading database ... 74826 files and directories currently installed.)
Preparing to replace xbase 3.3.2.3a-1 (using .../x11/xbase_3.3.2.3a-8.1.deb) ...
D000020: process_archive conffile `/etc/X11/Xresources/xbase' no package, no hash
D000200: process_archive conffile `/etc/X11/Xsession' in package xbase - conff ?
D000200: process_archive conffile `/etc/X11/Xsession' in package xbase - conff ? not `/etc/X11/Xmodmap'
D000200: process_archive conffile `/etc/X11/Xsession' in package xbase - conff ? not `/etc/X11/Xresources'
D000020: process_archive conffile `/etc/X11/Xsession' package=xbase same hash=1cf81894fd8903afb04c691660b0dd55
D000020: process_archive conffile `/etc/X11/Xsession.options' no package, no hash
D000200: oldconffsetflags `/etc/X11/Xmodmap' namenode 0x8d00764 flags 4
D000200: oldconffsetflags `/etc/X11/Xresources' namenode 0x8d006ec flags 4
D000200: oldconffsetflags `/etc/X11/Xsession' namenode 0x8d00728 flags 5
D000200: oldconffsetflags `/etc/X11/Xserver' namenode 0x8d007a0 flags 4
D000200: oldconffsetflags `/etc/X11/rstart/config' namenode 0x8d008d8 flags 4
D000200: oldconffsetflags `/etc/X11/twm/system.twmrc' namenode 0x8d007e8 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xaccess' namenode 0x8d00bfc flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xreset' namenode 0x8d00bc0 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xreset_0' namenode 0x8d00c38 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xresources' namenode 0x8d00b48 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xresources_0' namenode 0x8d00a58 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xservers' namenode 0x8d00b0c flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xsetup' namenode 0x8d00ad0 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xsetup_0' namenode 0x8d00a94 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xstartup' namenode 0x8d00b84 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/Xstartup_0' namenode 0x8d009d4 flags 4
D000200: oldconffsetflags `/etc/X11/xdm/xdm-config' namenode 0x8d00a10 flags 4
D000200: oldconffsetflags `/etc/X11/xfs/config' namenode 0x8d00cb0 flags 4
D000200: oldconffsetflags `/etc/X11/xsm/system.xsm' namenode 0x8d00674 flags 4
D000200: oldconffsetflags `/etc/init.d/xdm' namenode 0x8d00524 flags 4
D000200: oldconffsetflags `/etc/init.d/xfs' namenode 0x8d004e8 flags 4
D000200: oldconffsetflags `/etc/X11/xserver/SecurityPolicy' namenode 0x8d0095c flags 4
D000200: oldconffsetflags `/etc/X11/lbxproxy/AtomControl' namenode 0x8d005fc flags 4
D000200: oldconffsetflags `/etc/X11/proxymngr/pmconfig' namenode 0x8d00578 flags 4
D000001: process_archive oldversionstatus=broken due to failed removal conflictor=<none>
D000002: fork/exec /var/lib/dpkg/tmp.ci/preinst ( preinst upgrade 3.3.2.3a-1 )
NOTE: The xbase package has been split into several new packages, including twm,
xbase-clients, xdm, xfs, xmodmap, and xterm (among others).   It may be
necessary to select some or all of these packages (with dselect, for instance)
before all the parts of the old xbase package that you require are present.  It
is also suggested that, if prompted to overwrite or keep your current version of
the /etc/X11/Xsession file, you answer Y to accept the pre-packaged version, or
your default X resources may stop working.  More information on these issues may
be found in the /usr/doc/xbase/README.Debian file.

Do you wish to continue your upgrade of the xbae package?  (y/n) [y] Unpacking replacement xbase ...
D000010: tarobject ti->Name=`.' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/.' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/.' tmp=`/..dpkg-tmp' new=`/..dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/..dpkg-new'
D000010: ensure_pathname_nonexisting `/..dpkg-tmp'
D000010: tarobject ti->Name=`usr' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr' tmp=`/usr.dpkg-tmp' new=`/usr.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr.dpkg-tmp'
D000010: tarobject ti->Name=`usr/doc' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/doc' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc' tmp=`/usr/doc.dpkg-tmp' new=`/usr/doc.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/doc.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc.dpkg-tmp'
D000010: tarobject ti->Name=`usr/doc/xbase' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/doc/xbase' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase' tmp=`/usr/doc/xbase.dpkg-tmp' new=`/usr/doc/xbase.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase.dpkg-tmp'
D000010: tarobject ti->Name=`usr/doc/xbase/examples' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/doc/xbase/examples' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/examples' tmp=`/usr/doc/xbase/examples.dpkg-tmp' new=`/usr/doc/xbase/examples.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/examples.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/examples.dpkg-tmp'
D000010: tarobject ti->Name=`usr/doc/xbase/examples/xsession-example' Mode=100755 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/examples/xsession-example' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/examples/xsession-example' tmp=`/usr/doc/xbase/examples/xsession-example.dpkg-tmp' new=`/usr/doc/xbase/examples/xsession-example.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/examples/xsession-example.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/examples/xsession-example.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=6395
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/xbase/copyright' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/copyright' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/copyright' tmp=`/usr/doc/xbase/copyright.dpkg-tmp' new=`/usr/doc/xbase/copyright.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/copyright.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/copyright.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=9972
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/xbase/README.Debian' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/README.Debian' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/README.Debian' tmp=`/usr/doc/xbase/README.Debian.dpkg-tmp' new=`/usr/doc/xbase/README.Debian.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/README.Debian.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/README.Debian.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=6068
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/xbase/changelog.Debian.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/changelog.Debian.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/changelog.Debian.gz' tmp=`/usr/doc/xbase/changelog.Debian.gz.dpkg-tmp' new=`/usr/doc/xbase/changelog.Debian.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/changelog.Debian.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/changelog.Debian.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=18865
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/xbase/FAQ' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/FAQ' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/FAQ' tmp=`/usr/doc/xbase/FAQ.dpkg-tmp' new=`/usr/doc/xbase/FAQ.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/FAQ.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/FAQ.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=589
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/xbase/XFree86-FAQ.html' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/XFree86-FAQ.html' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/XFree86-FAQ.html' tmp=`/usr/doc/xbase/XFree86-FAQ.html.dpkg-tmp' new=`/usr/doc/xbase/XFree86-FAQ.html.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/XFree86-FAQ.html.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/XFree86-FAQ.html.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=73131
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/xbase/XFree86-FAQ.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/doc/xbase/XFree86-FAQ.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/xbase/XFree86-FAQ.gz' tmp=`/usr/doc/xbase/XFree86-FAQ.gz.dpkg-tmp' new=`/usr/doc/xbase/XFree86-FAQ.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/XFree86-FAQ.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/xbase/XFree86-FAQ.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=24227
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/doc/X11' Mode=120777 owner=0.0 Type=50(l) ti->LinkName=`xbase' namenode=`/usr/doc/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/doc/X11' tmp=`/usr/doc/X11.dpkg-tmp' new=`/usr/doc/X11.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/doc/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/doc/X11.dpkg-tmp'
D000100: tarobject SymbolicLink creating
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/X11R6' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6' tmp=`/usr/X11R6.dpkg-tmp' new=`/usr/X11R6.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/bin' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/bin' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/bin' tmp=`/usr/X11R6/bin.dpkg-tmp' new=`/usr/X11R6/bin.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/bin.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/bin.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/include' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/include' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/include' tmp=`/usr/X11R6/include.dpkg-tmp' new=`/usr/X11R6/include.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/include.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/include.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/include/X11' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/include/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/include/X11' tmp=`/usr/X11R6/include/X11.dpkg-tmp' new=`/usr/X11R6/include/X11.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/include/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/include/X11.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/lib' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/lib' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/lib' tmp=`/usr/X11R6/lib.dpkg-tmp' new=`/usr/X11R6/lib.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/lib.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/lib.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/lib/X11' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/lib/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/lib/X11' tmp=`/usr/X11R6/lib/X11.dpkg-tmp' new=`/usr/X11R6/lib/X11.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/lib/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/lib/X11.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/lib/X11/doc' Mode=120777 owner=0.0 Type=50(l) ti->LinkName=`../../../doc/xbase' namenode=`/usr/X11R6/lib/X11/doc' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/lib/X11/doc' tmp=`/usr/X11R6/lib/X11/doc.dpkg-tmp' new=`/usr/X11R6/lib/X11/doc.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/lib/X11/doc.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/lib/X11/doc.dpkg-tmp'
D000100: tarobject SymbolicLink creating
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/X11R6/man' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/man' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/man' tmp=`/usr/X11R6/man.dpkg-tmp' new=`/usr/X11R6/man.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/man.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/man.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/man/man1' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/X11R6/man/man1' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/man/man1' tmp=`/usr/X11R6/man/man1.dpkg-tmp' new=`/usr/X11R6/man/man1.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/man/man1.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/man/man1.dpkg-tmp'
D000010: tarobject ti->Name=`usr/X11R6/man/man1/X.1x.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/X11R6/man/man1/X.1x.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/X11R6/man/man1/X.1x.gz' tmp=`/usr/X11R6/man/man1/X.1x.gz.dpkg-tmp' new=`/usr/X11R6/man/man1/X.1x.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/X11R6/man/man1/X.1x.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/X11R6/man/man1/X.1x.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=16730
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/bin' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/bin' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/bin' tmp=`/usr/bin.dpkg-tmp' new=`/usr/bin.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/bin.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/bin.dpkg-tmp'
D000010: tarobject ti->Name=`usr/bin/X11' Mode=120777 owner=0.0 Type=50(l) ti->LinkName=`../X11R6/bin' namenode=`/usr/bin/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/bin/X11' tmp=`/usr/bin/X11.dpkg-tmp' new=`/usr/bin/X11.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/bin/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/bin/X11.dpkg-tmp'
D000100: tarobject SymbolicLink creating
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/include' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/include' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/include' tmp=`/usr/include.dpkg-tmp' new=`/usr/include.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/include.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/include.dpkg-tmp'
D000010: tarobject ti->Name=`usr/include/X11' Mode=120777 owner=0.0 Type=50(l) ti->LinkName=`../X11R6/include/X11' namenode=`/usr/include/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/include/X11' tmp=`/usr/include/X11.dpkg-tmp' new=`/usr/include/X11.dpkg-new'
D000100: tarobject already exists
D000010: tarobject ... found in xlib6g-dev
D000040: does_replace new=xbase old=xlib6g-dev (0:3.3.2.3a-1)
D000400: does_replace ... found old, version 0:3.3.2.3a-1
D000040: does_replace ... yes
Replacing files in old package xlib6g-dev ...
D000010: ensure_pathname_nonexisting `/usr/include/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/include/X11.dpkg-tmp'
D000100: tarobject SymbolicLink creating
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/lib' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/lib' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/lib' tmp=`/usr/lib.dpkg-tmp' new=`/usr/lib.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/lib.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/lib.dpkg-tmp'
D000010: tarobject ti->Name=`usr/lib/X11' Mode=120777 owner=0.0 Type=50(l) ti->LinkName=`../X11R6/lib/X11' namenode=`/usr/lib/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/lib/X11' tmp=`/usr/lib/X11.dpkg-tmp' new=`/usr/lib/X11.dpkg-new'
D000100: tarobject already exists
D000010: tarobject ... found in xli
D000040: does_replace new=xbase old=xli (0:1.16-2)
D000040: does_replace ... no
dpkg - warning, overriding problem because --force enabled:
 trying to overwrite `/usr/lib/X11', which is also in package xli
D000010: ensure_pathname_nonexisting `/usr/lib/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/lib/X11.dpkg-tmp'
D000100: tarobject SymbolicLink creating
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/man' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/man' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man' tmp=`/usr/man.dpkg-tmp' new=`/usr/man.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/man.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man.dpkg-tmp'
D000010: tarobject ti->Name=`usr/man/man5' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/man/man5' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man/man5' tmp=`/usr/man/man5.dpkg-tmp' new=`/usr/man/man5.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/man/man5.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man/man5.dpkg-tmp'
D000010: tarobject ti->Name=`usr/man/man5/window-managers.5.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/man/man5/window-managers.5.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man/man5/window-managers.5.gz' tmp=`/usr/man/man5/window-managers.5.gz.dpkg-tmp' new=`/usr/man/man5/window-managers.5.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/man/man5/window-managers.5.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man/man5/window-managers.5.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=989
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/man/man5/Xsession.5.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/man/man5/Xsession.5.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man/man5/Xsession.5.gz' tmp=`/usr/man/man5/Xsession.5.gz.dpkg-tmp' new=`/usr/man/man5/Xsession.5.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/man/man5/Xsession.5.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man/man5/Xsession.5.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=1356
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/man/man5/Xsession.options.5.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/man/man5/Xsession.options.5.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man/man5/Xsession.options.5.gz' tmp=`/usr/man/man5/Xsession.options.5.gz.dpkg-tmp' new=`/usr/man/man5/Xsession.options.5.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/man/man5/Xsession.options.5.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man/man5/Xsession.options.5.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=1314
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/man/man8' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/man/man8' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man/man8' tmp=`/usr/man/man8.dpkg-tmp' new=`/usr/man/man8.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/man/man8.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man/man8.dpkg-tmp'
D000010: tarobject ti->Name=`usr/man/man8/register-window-manager.8.gz' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/man/man8/register-window-manager.8.gz' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/man/man8/register-window-manager.8.gz' tmp=`/usr/man/man8/register-window-manager.8.gz.dpkg-tmp' new=`/usr/man/man8/register-window-manager.8.gz.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/man/man8/register-window-manager.8.gz.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/man/man8/register-window-manager.8.gz.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=2061
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`usr/sbin' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/usr/sbin' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/sbin' tmp=`/usr/sbin.dpkg-tmp' new=`/usr/sbin.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/usr/sbin.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/sbin.dpkg-tmp'
D000010: tarobject ti->Name=`usr/sbin/register-window-manager' Mode=100755 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/usr/sbin/register-window-manager' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/usr/sbin/register-window-manager' tmp=`/usr/sbin/register-window-manager.dpkg-tmp' new=`/usr/sbin/register-window-manager.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/usr/sbin/register-window-manager.dpkg-new'
D000010: ensure_pathname_nonexisting `/usr/sbin/register-window-manager.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=4542
D000100: tarobject nondirectory, `link' backup
D000100: tarobject done and installed
D000010: tarobject ti->Name=`etc' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/etc' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/etc' tmp=`/etc.dpkg-tmp' new=`/etc.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/etc.dpkg-new'
D000010: ensure_pathname_nonexisting `/etc.dpkg-tmp'
D000010: tarobject ti->Name=`etc/X11' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/etc/X11' flags=2 instead=`<none>'
D000100: setupvnamevbs main=`/etc/X11' tmp=`/etc/X11.dpkg-tmp' new=`/etc/X11.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/etc/X11.dpkg-new'
D000010: ensure_pathname_nonexisting `/etc/X11.dpkg-tmp'
D000010: tarobject ti->Name=`etc/X11/Xresources' Mode=40755 owner=0.0 Type=53(d) ti->LinkName=`' namenode=`/etc/X11/Xresources' flags=6 instead=`<none>'
D000100: setupvnamevbs main=`/etc/X11/Xresources' tmp=`/etc/X11/Xresources.dpkg-tmp' new=`/etc/X11/Xresources.dpkg-new'
D000100: tarobject already exists
D000100: tarobject Directory exists
D000010: ensure_pathname_nonexisting `/etc/X11/Xresources.dpkg-new'
D000010: ensure_pathname_nonexisting `/etc/X11/Xresources.dpkg-tmp'
D000010: tarobject ti->Name=`etc/X11/Xresources/xbase' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/etc/X11/Xresources/xbase' flags=3 instead=`<none>'
D000200: conffderef in=`etc/X11/Xresources/xbase' current working=`/etc/X11/Xresources/xbase'
D000200: conffderef nonexistent
D000020: tarobject fnnf_new_conff deref=`etc/X11/Xresources/xbase'
D000100: setupvnamevbs main=`/etc/X11/Xresources/xbase' tmp=`/etc/X11/Xresources/xbase.dpkg-tmp' new=`/etc/X11/Xresources/xbase.dpkg-new'
D000100: tarobject nonexistent
D000010: ensure_pathname_nonexisting `/etc/X11/Xresources/xbase.dpkg-new'
D000010: ensure_pathname_nonexisting `/etc/X11/Xresources/xbase.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=277
D000200: tarobject conffile extracted
D000010: tarobject ti->Name=`etc/X11/Xsession' Mode=100755 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/etc/X11/Xsession' flags=7 instead=`<none>'
D000200: conffderef in=`etc/X11/Xsession' current working=`/etc/X11/Xsession'
D000020: conffderef in=`etc/X11/Xsession' result=`/etc/X11/Xsession'
D000020: tarobject fnnf_new_conff deref=`etc/X11/Xsession'
D000100: setupvnamevbs main=`/etc/X11/Xsession' tmp=`/etc/X11/Xsession.dpkg-tmp' new=`/etc/X11/Xsession.dpkg-new'
D000100: tarobject already exists
D000010: ensure_pathname_nonexisting `/etc/X11/Xsession.dpkg-new'
D000010: ensure_pathname_nonexisting `/etc/X11/Xsession.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=1779
D000200: tarobject conffile extracted
D000010: tarobject ti->Name=`etc/X11/Xsession.options' Mode=100644 owner=0.0 Type=48(-) ti->LinkName=`' namenode=`/etc/X11/Xsession.options' flags=3 instead=`<none>'
D000200: conffderef in=`etc/X11/Xsession.options' current working=`/etc/X11/Xsession.options'
D000200: conffderef nonexistent
D000020: tarobject fnnf_new_conff deref=`etc/X11/Xsession.options'
D000100: setupvnamevbs main=`/etc/X11/Xsession.options' tmp=`/etc/X11/Xsession.options.dpkg-tmp' new=`/etc/X11/Xsession.options.dpkg-new'
D000100: tarobject nonexistent
D000010: ensure_pathname_nonexisting `/etc/X11/Xsession.options.dpkg-new'
D000010: ensure_pathname_nonexisting `/etc/X11/Xsession.options.dpkg-tmp'
D000100: tarobject NormalFile[01] open size=221
D000200: tarobject conffile extracted
D000002: fork/exec /var/lib/dpkg/info/xbase.postrm ( postrm upgrade 3.3.2.3a-8.1 )
D001000: isdirectoryinuse `/var/lib/xkb/README' (except xbase)
D001000: isdirectoryinuse packageslump xbase ...
D001000: isdirectoryinuse considering [0] xbase ...
D001000: isdirectoryinuse no
D001000: isdirectoryinuse `/var/lib/xkb' (except xbase)
D001000: isdirectoryinuse packageslump xbase ...
D001000: isdirectoryinuse considering [0] xbase ...
D001000: isdirectoryinuse no
D001000: isdirectoryinuse `/var/lib/xfs' (except xbase)
D001000: isdirectoryinuse packageslump xbase ...
D001000: isdirectoryinuse considering [0] xbase ...
D001000: isdirectoryinuse no
D001000: isdirectoryinuse `/var/lib/xdm' (except xbase)
D001000: isdirectoryinuse packageslump xbase ...
D001000: isdirectoryinuse considering [0] xbase ...
D001000: isdirectoryinuse no

Here it cores

dpkg 1.4.0.23 and 1.4.1 react the same

xbase status:

Package: xbase
Status: install reinstreq half-installed
Priority: optional
Section: x11
Installed-Size: 5715
Maintainer: Branden Robinson <branden@debian.org>
Source: xfree86
Version: 3.3.2.3a-1
Config-Version: 3.3.2.3a-1
Replaces: xstd, xterm-color
Depends: cpp, ncurses-base (>= 1.9.9g-8.6), zlib1g, libc6, ncurses3.4, xlib6g (>= 3.3-5)
Recommends: xserver-vga16 | xserver
Conflicts: xstd, xterm-color
Conffiles:
 /etc/X11/Xmodmap bbb52587564e6401c17ab58b5b1c979f
 /etc/X11/Xresources 216e585010900e33be6d73a09ab5bed4
 /etc/X11/Xsession 1cf81894fd8903afb04c691660b0dd55
 /etc/X11/Xserver d76c3d9b3d4b97974d2072d9178c45ed
 /etc/X11/rstart/config f861bdf9e3f69d83474d0fb9ea74d5fe
 /etc/X11/twm/system.twmrc f90714b4956197b6c9c2c549273350f3
 /etc/X11/xdm/Xaccess 8201826a666202c8a02dc3ca44390c5c
 /etc/X11/xdm/Xreset ce6cc5ea49272f182f8fe25770d9a496
 /etc/X11/xdm/Xreset_0 8b76699cee63915004b511a66bd533a7
 /etc/X11/xdm/Xresources e480ccdb706ff90413691c74daf021c6
 /etc/X11/xdm/Xresources_0 86c10244cbd3dabd7ba2657a54cdc4c3
 /etc/X11/xdm/Xservers c38d93ded393655683b77bbf2e94f5fc
 /etc/X11/xdm/Xsetup 609f004259307f98d5a69cb6f5c30bb6
 /etc/X11/xdm/Xsetup_0 78a7485880ff87cf97f391d769183e19
 /etc/X11/xdm/Xstartup 7db3e66571ca16ea2123d22bcc2fc3aa
 /etc/X11/xdm/Xstartup_0 b82723e2ae194d57f7dc17d55946e0fb
 /etc/X11/xdm/xdm-config a9400b692ddced168d46d7700d191bfc
 /etc/X11/xfs/config f1750556bc8acbaf51c3de1f439f556e
 /etc/X11/xsm/system.xsm 6c0258fd43ec2de60e831d63973bdd43
 /etc/init.d/xdm 9db189587751935034522cefaa59af1f
 /etc/init.d/xfs d49af9627a191738697e1c010829bcb0
 /etc/X11/xserver/SecurityPolicy 9971c7d788183980c6a21e056ee7a872
 /etc/X11/lbxproxy/AtomControl 0b2c88030cc6597dcbfb12973e52d8c3
 /etc/X11/proxymngr/pmconfig 29e5625aa85c8832a3e248ef0afaf8f7
Description: local clients and configuration required by X
 This package contains the basic X11R6.3 distribution.  It includes the basic
 clients and configuration files.  It does not provide a server; servers
 for several different video cards are included in the xserver packages.
 This package also does not include the shared libraries; for these you must
 install the xlib6g package.  When a server, the shared libraries, and some
 fonts for X are installed along with this package, a functional X Window
 System installation is present.  For a more complete installation you can
 install the xcontrib package.



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to root <root@khms.westfalen.de>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #25 received at 30090@bugs.debian.org (full text, mbox):

From: root <root@khms.westfalen.de>
To: 30090@bugs.debian.org
Subject: xbase update
Date: Wed, 16 Dec 1998 18:30:31 +0100 (CET)
The update is possible if I remove all te xbase.* files in /var/lib/dpkg/info.

Old xbase.* files and dpkg core available on request


Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to root <root@khms.westfalen.de>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #30 received at 30090@bugs.debian.org (full text, mbox):

From: root <root@khms.westfalen.de>
To: 30090@bugs.debian.org
Subject: another core
Date: Thu, 17 Dec 1998 18:26:47 +0100 (CET)
... this one upgrading the kernel-source package. Exact same symptoms,
exact same remedy worked. Another dpkg core available on request.


Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#30090; Package xbase. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@ecn.purdue.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #35 received at 30090@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@ecn.purdue.edu>
To: control@bugs.debian.org
Cc: debian-devel@lists.debian.org, 30090@bugs.debian.org
Subject: hot potato
Date: Mon, 28 Dec 1998 00:49:31 -0500
retitle 30090 weirdass dpkg coredumps and xbase upgrade insanity
reassign 30090 dpkg
thanks

It's been brought to my attention that dpkg shouldn't be coredumping, no
matter how stupid an error a package maintainer may have made.  So I'm
tossing this hot (grave) potato into Ian's lap.

This may or may not be related to the circular symlink madness, a bug I
already filed against dpkg.

-- 
G. Branden Robinson              |      If you make people think they're
Debian GNU/Linux                 |      thinking, they'll love you;
branden@ecn.purdue.edu           |      but if you really make them think,
cartoon.ecn.purdue.edu/~branden/ |      they'll hate you.


Changed bug title. Request was from Branden Robinson <branden@ecn.purdue.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xbase' to `dpkg'. Request was from Branden Robinson <branden@ecn.purdue.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>:
Bug#30090; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Polacco <fabrizio.polacco@ntc.nokia.com>:
Extra info received and forwarded to list. Copy sent to Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #44 received at 30090@bugs.debian.org (full text, mbox):

From: Fabrizio Polacco <fabrizio.polacco@ntc.nokia.com>
To: Branden Robinson <branden@ecn.purdue.edu>
Cc: debian-devel@lists.debian.org, 30090@bugs.debian.org
Subject: Re: hot potato
Date: Tue, 12 Jan 1999 15:49:21 +0200
Branden Robinson wrote:
> 
> It's been brought to my attention that dpkg shouldn't be coredumping, no
> matter how stupid an error a package maintainer may have made.  So I'm
> tossing this hot (grave) potato into Ian's lap.
> 
> This may or may not be related to the circular symlink madness, a bug I
> already filed against dpkg.

If saying "circular symlink madness" you refere to the fact that
programs 
segfault when dealing with circular symlinks (chains of symplinks
pointing 
back to themself), then it is worth to have a look to bug#20426, in
which
I found the lines of glibc where the bug is.

I don't have a fix for it (it's a bug in the design of the function).
That function should be rewritten or patched adding a counter to stop 
following the symlinks.

cheers,
fab


Information forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>:
Bug#30090; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@ecn.purdue.edu>:
Extra info received and forwarded to list. Copy sent to Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #49 received at 30090@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@ecn.purdue.edu>
To: Peter Karlsson <pk@mds.mdh.se>
Cc: 30090@bugs.debian.org, debian-user@lists.debian.org
Subject: Re: Trouble updating (trashed my X setup)
Date: Wed, 3 Mar 1999 18:39:31 -0500
[Message part 1 (text/plain, inline)]
On Wed, Mar 03, 1999 at 06:00:10PM +0100, Peter Karlsson wrote:
> I was doing a "apt-get dist-upgrade" to update to the latest versions, when
> installing the xserver-common package didn't work. This has now trashed my
> X installation completely, so it doesn't work at all.
> 
> This is what happens when I try to install it:
> 
> # dpkg --install /tmp/xserver-common_3.3.2.3a-11.deb 
> (Reading database ... 54635 files and directories currently installed.)
> Preparing to replace xserver-common 3.3.2.3a-8 (using .../xserver-common_3.3.2.3a-11.deb) ...
> Unpacking replacement xserver-common ...
> Segmentation Fault

Urp.  This looks a lot like dpkg bug #30090.

Just for grins, I note you're in .se.  Do you happen to have the LANG or
any of the LC_* variables set?  If so, try unsetting them and PLEASE let 
me know if that fixes the problem or changes nothing.

I suspect it won't, though.  The next thing to do is try the --debug option
to dpkg, and/or use strace to find out exactly where this problem is
occuring.

If we can track down this awful bug, maybe Ian Jackson (dpkg author) can
fix it.

-- 
G. Branden Robinson              |   America is at that awkward stage.  It's
Debian GNU/Linux                 |   too late to work within the system, but
branden@ecn.purdue.edu           |   too early to shoot the bastards.
cartoon.ecn.purdue.edu/~branden/ |   --Claire Wolfe
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>:
Bug#30090; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Peter Karlsson <pk@mds.mdh.se>:
Extra info received and forwarded to list. Copy sent to Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #54 received at 30090@bugs.debian.org (full text, mbox):

From: Peter Karlsson <peter@dat95pkn.campus.mdh.se>
To: Branden Robinson <branden@ecn.purdue.edu>
Cc: 30090@bugs.debian.org, debian-user@lists.debian.org
Subject: Re: Trouble updating (trashed my X setup)
Date: Thu, 4 Mar 1999 12:21:59 +0100 (CET)
> Just for grins, I note you're in .se.  Do you happen to have the LANG or
> any of the LC_* variables set?  If so, try unsetting them and PLEASE let 
> me know if that fixes the problem or changes nothing.

That solved the problem... I had LC_TYPE=iso_8859_1 and
LC_ALL=sv_SE.ISO8859-1 set, and when I unset those, the install script
didn't complain.

-- 
\\//
Peter - http://www.softwolves.pp.se/

 Bored of spam? Try Fidonet. http://www.fidonet.org/ http://www.fidonet.pp.se/



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>:
Bug#30090; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to kaih@khms.westfalen.de (Kai Henningsen):
Extra info received and forwarded to list. Copy sent to Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #59 received at 30090@bugs.debian.org (full text, mbox):

From: kaih@khms.westfalen.de (Kai Henningsen)
To: 30090@bugs.debian.org
Subject: Re: Bug#30090: Trouble updating (trashed my X setup)
Date: 15 Mar 1999 23:58:00 +0200
peter@dat95pkn.campus.mdh.se (Peter Karlsson)  wrote on 04.03.99 in <Pine.LNX.4.05.9903041220330.3213-100000@dat95pkn.campus.mdh.seĀ·3>:

> > Just for grins, I note you're in .se.  Do you happen to have the LANG or
> > any of the LC_* variables set?  If so, try unsetting them and PLEASE let
> > me know if that fixes the problem or changes nothing.
>
> That solved the problem... I had LC_TYPE=iso_8859_1 and
> LC_ALL=sv_SE.ISO8859-1 set, and when I unset those, the install script
> didn't complain.

I can verify this.

I just had dpkg die when installing grub; strace showed that it dies  
shortly after not being abe to rmdir /usr/doc/grub, IIRC; it called some  
I18N routines, then died. Unsetting LANG (was de_DE) removed the coredump.

It's definitely an I18N bug.

MfG Kai


Changed Bug title. Request was from Wichert Akkerman <wichert@cs.leidenuniv.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 25674 25744 27587 30090 31763 32978 35362. Request was from Ben Collins <bcollins@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg-iwj'. Request was from Ben Collins <bcollins@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 25674 25744 27587 30090 31763 32501 32978 35362. Request was from Ben Collins <bcollins@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 25674 25744 27587 30090 31763 32501 32978 35362 38604. Request was from Ben Collins <bcollins@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg-iwj' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, ack sent to submitter - they'd better know why ! Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dpkg' to `dpkg'. Request was from Anthony Towns <ajt@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:11:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.